Name: mas
Version: 0.6.3
Release: alt1.1

Summary: XFree Media Application Server
License: MIT
Group: Sound
Url: http://www.mediaapplicationserver.net/
Packager: Dmitriy Porollo <spider@altlinux.ru>

Source:   %name-%version.tar.gz
Source1: %name-devtools-%version.tar.gz
Source2: %name-control-apps-%version.tar.gz
Source3: mas48.png

Patch0: mas_log_tmp.patch
Patch1: mas_fftw_enable.patch
Patch2: mas_inst_patch_site.patch

# Automatically added by buildreq on Thu Oct 14 2004
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libfftw-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig xorg-x11-devel xorg-x11-libs

%description
MAS will provide a complete mechanism for media support, for all pluri-modal
media, for all platforms, for all operating systems, for all window systems.
MAS supports the desktop and, transparently, the network. In particular, MAS
will provide complete support for the X Window System, across the network.
MAS is an open system: the complete core will remain under the original MIT
("X") license, equally supporting open and proprietary use and development.
MAS provides mechanisms for structured extension, and will be supported by
dedicated testing and certification processes.

%package devtools
Summary: Developer's Toolkit for MAS
Group:   Sound
Requires: %name

%description devtools
This is a set of utilities mainly for testing and debuggins a MAS
client-server setup.
                                                                                                                                            
mascodectest is a command-line CODEC testing application that inserts two
back-to-back CODECs into a simple audio assemblage. Sample rate and channel
conversion are performed optionally.
masget is a command-line interface to the standard mas_get queries supported
by the core set of devices and the server. Use it to query device parameters
during runtime.
massink takes 16-bit, little-endian, signed, linear, 44.1kHz stereo audio
from standard input and plays it using the default anx assemblage.
masloopback is a command-line anx device testing application that wraps the
recorded output from the anx device back into the mix device of the default
anx assemblage.
masnetstat causes the net device to dump its state information to the server
log file.
masset is a command-line interface to the standard mas_set actions supported
by the core set of devices and the server. Use it to dynamically adjust
device parameters.
massource records 16-bit, little-endian, signed, linear, 44.1kHz stereo audio
from the default anx assemblage and echoes it to standard output.

%package control-apps
Summary: Graphical Interface to MAS
Group:   Sound
Requires: %name

%description control-apps
This package includes graphical tools to control the Media Application Server.
                                                                                                                                            
masconf_gui is a peer-to-peer Internet conferencing application that features
a GTK+ 2.0 graphical user interface.
masmix is a network-transparent volume control that features a GTK+ 2.0
graphical user interface.
masplayer is a network-transparent MP3 player that works with the X Window
System and features a GTK+ 2.0 graphical user interface. It preserves the
compressed MP3 format for network transmission, decoding it on the user's
local system. NOTE: this application requires the separately distributed
codec_mp1a_mad device.
massignal is a network-transparent audio function generator. It can generate
sine, triangle, and square waves, as well as both white and pink filtered
noise signals.

%package -n libmas
Summary: Main library for %name
Group: System/Libraries
Provides: %name = %version-%release
Requires: %name >= %version

%description -n libmas
This package contains the library needed to run programs dynamically
linked with %name.

%package -n libmas-devel
Summary: Headers for developing programs that will use %name.
Group: Development/C++
Requires: libmas = %version-%release
#gw for imake:
Requires: XFree86-devel
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
                                                                                                                                            
%description -n libmas-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -b 1 -b 2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%configure

%build
#set prefix
perl -p -i -e 's/usr\/share\/mas/usr/g' config/site.def
#of course, the prefix is also hard-coded elsewhere
perl -p -i -e 's/usr\/share\/mas/usr/g' `find control-apps` mas/assembler.c
#and extra fool-proofing
perl -p -i -e 's/usr\/mas\/lib\/mas/usr\/lib/g' mas/assembler.c
#tell it to build devtools and control-apps
perl -p -i -e 's/clients/clients\ devtools\ control-apps/g' Imakefile
#gw -ansi breaks the build
perl -pi -e 's/-ansi//' config/xfree86.cf
imake -I./config
make World
#cd clients/util
#sed "s!MASBINDIR!%_bindir!" < redhat_init.d_mas.cpp > redhat_init.d_mas
#Init script !

%install

%make DESTDIR="%buildroot" install 
mkdir -p %buildroot%_var/log/mas
#menu

mkdir -p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name-control-apps
?package(%name-control-apps): command="masconf_gui" icon="%name.png" needs="x11" title="MASConf" longtitle="MAS Internet Conferencing" section="Multimedia/Sound"
?package(%name-control-apps): command="masmix" icon="%name.png" needs="x11" title="MASMix" longtitle="MAS Mixer" section="Multimedia/Sound"
?package(%name-control-apps): command="masplayer" icon="%name.png" needs="x11" title="MASPlayer" longtitle="MAS Audio Player" section="Multimedia/Sound"
EOF

#icons
mkdir -p %buildroot/%_iconsdir
cat %SOURCE3 > %buildroot/%_iconsdir/%name.png

mkdir -p %buildroot%_sysconfdir/logrotate.d
cat > %buildroot%_sysconfdir/logrotate.d/%name <<EOF
%_var/log/%name/* {
    weekly
    notifempty
    missingok
}
EOF

%post
#%_post_service %name

%preun
#%_preun_service  %name

%post control-apps
%update_menus
%postun control-apps

%clean_menus

%post -n libmas -p /sbin/ldconfig
%postun -n libmas -p /sbin/ldconfig

%files
%doc ChangeLog README LICENSE PORTING RELNOTES
%config(noreplace) %_sysconfdir/logrotate.d/%name
%_bindir/%name
%_bindir/maswavplay
%_bindir/masbench
%_bindir/mastestdev
%_bindir/mas-launch
%_bindir/maswatchdog
%_datadir/pixmaps/*.png
%_var/log/mas

%files devtools
%doc devtools/README
%_bindir/mascodectest
%_bindir/masget
%_bindir/mashost
%_bindir/massink
%_bindir/masloopback
%_bindir/masnetstat
%_bindir/masprobe
%_bindir/masset
%_bindir/massource
%_bindir/massource_set

%files control-apps
%doc control-apps/README
%_menudir/%name-control-apps
%_iconsdir/%name.png 
%_bindir/masconf_gui
%_bindir/masmix
%_bindir/masmm
%_bindir/masplayer
%_bindir/massignal

%files -n libmas
%_libdir/*.so
%_libdir/*.so.*

%files -n libmas-devel
%_bindir/masmkmf
%_bindir/mas-config
%dir %_includedir/%name
%_includedir/%name/*.h
%_libdir/config/*.cf
%_libdir/config/*.rules
%_libdir/config/*.tmpl
%_libdir/config/*.def
%_libdir/%name/*.so
%_libdir/%name/*.so.*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.3-alt1.1
- Rebuilt with libstdc++.so.6.


* Tue Oct 14 2004 Dmitriy Porollo <spider@altlinux.ru> 0.6.3-alt1
- New release 0.6.3
- Added build patches.

